summaryrefslogtreecommitdiff
path: root/source3/script
diff options
context:
space:
mode:
authorJeremy Allison <jra@samba.org>2009-11-25 13:17:38 -0800
committerJeremy Allison <jra@samba.org>2009-11-25 13:17:38 -0800
commit108da2adaf77c152fd292bbdf5645923659a7c2c (patch)
treedb5a73e2d7556db927cdbc13df6f6422665b239f /source3/script
parent4f89b3993c70ff95fd6e2e273f7699a80f4412cc (diff)
downloadsamba-108da2adaf77c152fd292bbdf5645923659a7c2c.tar.gz
samba-108da2adaf77c152fd292bbdf5645923659a7c2c.tar.bz2
samba-108da2adaf77c152fd292bbdf5645923659a7c2c.zip
Add RAW-CHKPATH test with case-sensitive share.
Jeremy.
Diffstat (limited to 'source3/script')
-rwxr-xr-xsource3/script/tests/selftest.sh3
-rwxr-xr-xsource3/script/tests/test_posix_s3.sh4
2 files changed, 7 insertions, 0 deletions
diff --git a/source3/script/tests/selftest.sh b/source3/script/tests/selftest.sh
index 80e50429ad..c952ef2029 100755
--- a/source3/script/tests/selftest.sh
+++ b/source3/script/tests/selftest.sh
@@ -266,6 +266,9 @@ cat >$SERVERCONFFILE<<EOF
[hideunread]
copy = tmp
hide unreadable = yes
+[tmpcase]
+ copy = tmp
+ case sensitive = yes
[hideunwrite]
copy = tmp
hide unwriteable files = yes
diff --git a/source3/script/tests/test_posix_s3.sh b/source3/script/tests/test_posix_s3.sh
index 60ed3e44eb..d54cf7bb8a 100755
--- a/source3/script/tests/test_posix_s3.sh
+++ b/source3/script/tests/test_posix_s3.sh
@@ -96,6 +96,10 @@ for t in $tests; do
else
testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
fi
+ if [ "$t" = "RAW-CHKPATH" ]; then
+ echo "Testing with case sensitive"
+ testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS $ADDARGS "$unc"case -U"$username"%"$password" $t || failed=`expr $failed + 1`
+ fi
done
testok $0 $failed